cURL
curl https://api.aiql.io/sources/ing_9d2c/pages \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"{
"data": [
{
"id": "<string>",
"page_number": 123,
"content": "<string>"
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sources
Get Source Pages
GET
/
sources
/
{id}
/
pages
cURL
curl https://api.aiql.io/sources/ing_9d2c/pages \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"{
"data": [
{
"id": "<string>",
"page_number": 123,
"content": "<string>"
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Query Parameters
Maximum number of items to return per page.
Required range:
1 <= x <= 100Opaque cursor pointing to the page to fetch. Omit to start from the first page.